<app-header title="Mis Motos" [menu]="true"></app-header>

<ion-content>
  <ion-menu side="start" menuId="main-menu" contentId="main">
    <ion-header>
      <ion-toolbar color="primary">
        <ion-title>Filtrar marcas</ion-title>
      </ion-toolbar>
    </ion-header>
   
     <ion-content>
      <ion-menu-toggle auto-hide="true">
        <ion-list *ngFor="let motorbike of motorcyclesFilter">
          <ion-item (click)="filterMotorcycles(motorbike.title)">
            <ion-avatar slot="start">
              <ion-img [src]="motorbike.image"></ion-img>
            </ion-avatar>
            <ion-label> {{motorbike.title}} </ion-label>
          </ion-item>
        </ion-list>
      </ion-menu-toggle>
    </ion-content>
  </ion-menu>
  
  <ion-list>
    <app-motorcycle-info [motorcycles]="motorcycles"></app-motorcycle-info>
  </ion-list>
 
  <ion-fab
    class="fab"
    vertical="bottom"
    horizontal="end"
    slot="fixed"
    (click)="addNewMotorcycle()" >
    <ion-fab-button>
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
  </ion-fab>

</ion-content>
